networkd dhcpv4 client never attempts more than 2 renew and 2 rebind

Bug #1907306 reported by Dan Streetman on 2020-12-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd
Fix Released
Unknown
systemd (Ubuntu)
Status tracked in Hirsute
Bionic
Medium
Dan Streetman
Focal
Medium
Dan Streetman
Groovy
Medium
Dan Streetman
Hirsute
Medium
Dan Streetman

Bug Description

[impact]

networkd dhcpv4 client never attempts more than 2 renew and 2 rebind

[test case]

configure an interface to use dhcpv4; acquire a dhcpv4 address, then stop the dhcpv4 server, and wait for the networkd client to perform its renewals and rebinds before expiring the lease

using a 20 minute lease time as an example (all times are approximate due to RFC-mandated random 'fuzz' time of -1 to +1 sec):

the current behavior would be to sent renew requests at:

10:00
13:45

and then rebind requests at:

17:30
18:45

then the lease would expire at 20:00

the correct/new behavior should be renew requests at:

10:00
13:45
15:37
16:37

and then rebind requests at:

17:30
18:45
19:45

and then lease expiration at 20:00.

longer lease times would increase the number of retransmissions.

[regression potential]

any regression would likely result in problems receiving and/or maintaining a dhcpv4 address

[scope]

this is needed in b/f/g/h.

this was fixed upstream in:
https://github.com/systemd/systemd/pull/17908

that was just added, so this is not fixed in any ubuntu release yet.

technically, this is needed in x as well, however I don't plan to backport to x since 1) it reaches ESM soon and 2) the default network management tool in x is ifupdown, not systemd-networkd.

Related branches

Dan Streetman (ddstreet) on 2020-12-08
Changed in systemd (Ubuntu Bionic):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Hirsute):
assignee: nobody → Dan Streetman (ddstreet)
importance: Undecided → Medium
Changed in systemd (Ubuntu Bionic):
importance: Undecided → Medium
Changed in systemd (Ubuntu Focal):
status: New → In Progress
Changed in systemd (Ubuntu Bionic):
status: New → In Progress
Changed in systemd (Ubuntu Groovy):
status: New → In Progress
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
importance: Undecided → Medium
Changed in systemd (Ubuntu Groovy):
importance: Undecided → Medium
Changed in systemd (Ubuntu Hirsute):
status: New → In Progress
Changed in systemd:
status: Unknown → New
Dan Streetman (ddstreet) on 2020-12-15
description: updated
Changed in systemd:
status: New → Fix Released
Łukasz Zemczak (sil2100) wrote :

What is the status of this fix for hirsute?

Hello Dan, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Chris Halse Rogers (raof) wrote :

Hello Dan, or anyone else affected,

Accepted systemd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/237-3ubuntu10.44 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Chris Halse Rogers (raof) wrote :

Hello Dan, or anyone else affected,

Accepted systemd into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/246.6-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed-groovy

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.4) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

linux-hwe-5.8/5.8.0-37.42~20.04.1 (arm64)
netplan.io/0.100-0ubuntu4~20.04.3 (amd64)
apt/2.0.2ubuntu0.2 (armhf)
munin/2.0.56-1ubuntu1 (ppc64el)
gvfs/1.44.1-1ubuntu1 (amd64, arm64)
prometheus-alertmanager/0.15.3+ds-3ubuntu1 (armhf)
lxc/1:4.0.2-0ubuntu1 (amd64)
indicator-session/17.3.20+19.10.20190921-0ubuntu1 (ppc64el)
pyudev/0.21.0-3ubuntu1 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted systemd (237-3ubuntu10.44) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

linux-azure-4.15/4.15.0-1104.116 (amd64)
munin/2.0.37-1ubuntu0.1 (arm64)
gvfs/1.36.1-0ubuntu1.3.3 (amd64)
libvirt/4.0.0-1ubuntu8.17 (i386)
apt/1.6.12ubuntu0.2 (armhf)
netplan.io/0.99-0ubuntu3~18.04.3 (amd64)
linux-hwe-5.0/5.0.0-63.69 (armhf)
openssh/1:7.6p1-4ubuntu0.3 (armhf, s390x, ppc64el, arm64, i386, amd64)
corosync/2.4.3-0ubuntu1.1 (armhf)
nut/2.7.4-5.1ubuntu2 (i386)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted systemd (246.6-1ubuntu1.1) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

gvfs/1.46.1-1ubuntu1 (arm64, amd64)
prometheus/2.20.0+ds-1 (s390x)
netplan.io/0.100-0ubuntu5 (arm64)
flatpak/1.8.2-1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Dan Streetman (ddstreet) wrote :
Download full text (6.5 KiB)

groovy:

root@lp1907306-g:~# dpkg -l systemd|grep systemd
ii systemd 246.6-1ubuntu1.1 amd64 system and service manager
root@lp1907306-g:~# journalctl -b -u systemd-networkd | grep 'ifindex 3'
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): STARTED on ifindex 3
root@lp1907306-g:~# journalctl -b -u systemd-networkd | grep 0x39b455d6
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): STARTED on ifindex 3
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): DISCOVER
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): OFFER
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (requesting)
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): ACK
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): lease expires in 59min 59s
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): T2 expires in 52min 30s
Jan 13 18:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): T1 expires in 29min 59s
Jan 13 19:27:25 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:38:41 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:44:18 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:47:07 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:48:32 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:49:32 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (renewing)
Jan 13 19:49:56 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (rebinding)
Jan 13 19:53:41 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (rebinding)
Jan 13 19:55:33 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (rebinding)
Jan 13 19:56:33 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): REQUEST (rebinding)
Jan 13 19:57:26 lp1907306-g systemd-networkd[22430]: DHCP CLIENT (0x39b455d6): EXPIRED

focal:

root@lp1907306-f:~# dpkg -l systemd|grep systemd
ii systemd 245.4-4ubuntu3.4 amd64 system and service manager
root@lp1907306-f:~# journalctl -b -u systemd-networkd | grep 'ifindex 3'
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): STARTED on ifindex 3
root@lp1907306-f:~# journalctl -b -u systemd-networkd | grep 0xf2c32973
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): STARTED on ifindex 3
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): DISCOVER
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): OFFER
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): REQUEST (requesting)
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): ACK
Jan 13 18:57:24 lp1907306-f systemd-networkd[23394]: DHCP CLIENT (0xf2c32973): lease expires in 59min 59s
Jan 13 18:57:24 lp1907306-f systemd-net...

Read more...

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-groovy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 246.6-1ubuntu1.1

---------------
systemd (246.6-1ubuntu1.1) groovy; urgency=medium

  [ Dan Streetman ]
  * d/t/boot-smoke: update test to avoid false negatives
    (LP: #1892358)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=205c30ca53b0e421db28bb56afaf5f88650ce592
  * d/t/boot-and-services: remove unneeded test lines
    (LP: #1892358)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=71853082af4e668996db574915c5a156f9897fd3
  * d/t/systemd-fsckd: rewrite test to try to fix false negatives
    (LP: #1892358)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6ae6be039ec582410769d2d6d131e12bdcd19a68
  * d/p/lp1905044-test-use-cap_last_cap-for-max-supported-cap-number-n.patch:
    test: use cap_last_cap() instead of capability_list_length()
    (LP: #1905044)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=84a4832f5f7d4f939c1c78c6be4c3f9e05cd7f59
  * d/p/lp1907306/0001-sd-dhcp-client-don-t-log-timeouts-if-already-expired.patch,
    d/p/lp1907306/0002-sd-dhcp-client-track-dhcp4-t1-t2-expire-times.patch,
    d/p/lp1907306/0003-sd-dhcp-client-add-RFC2131-retransmission-details.patch,
    d/p/lp1907306/0004-sd-dhcp-client-simplify-dhcp4-t1-t2-parsing.patch,
    d/p/lp1907306/0005-sd-dhcp-client-correct-dhcpv4-renew-rebind-retransmi.patch,
    d/p/lp1907306/0006-sd-dhcp-client-correct-retransmission-timeout-to-mat.patch,
    d/p/lp1907306/0007-test-network-increase-wait_online-timeout-to-handle-.patch,
    d/p/lp1907306/0008-sd-dhcp-client-fix-renew-rebind-timeout-calculation-.patch:
    Send correct number of dhcpv4 renew and rebind requests
    (LP: #1907306)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=0a96dc16ac00e90cd3904e6d490d676b9bb98f1f
  * d/p/lp1902960-udev-re-assign-ID_NET_DRIVER-ID_NET_LINK_FILE-ID_NET.patch:
    Run net_setup_link on 'change' uevents (LP: #1902960)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7183e2ef4758ce47b152dec735e7d213d6003e37
  * d/t/root-unittests:
    Remove any corrupt journal files (LP: #1881947)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3d0ea66f0db4a204759fa0005f6f27579ee4195a

  [ Balint Reczey ]
  * d/t/systemd-fsckd: Plymouth-start stays active in 20.10 and later
    (LP: #1908067)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e3ddd09301c8bdaa59b4fe54d7906f609552370d

 -- Dan Streetman <email address hidden> Wed, 06 Jan 2021 15:40:39 -0500

Changed in systemd (Ubuntu Groovy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.4

---------------
systemd (245.4-4ubuntu3.4) focal; urgency=medium

  * d/p/lp1905245/0001-basic-cap-list-parse-print-numerical-capabilities.patch,
    d/p/lp1905245/0002-basic-capability-util-let-cap_last_cap-return-unsign.patch,
    d/p/lp1905245/0003-basic-cap-list-reduce-scope-of-variables.patch:
    - print number of unknown capabilities instead of failing
      (LP: #1905245)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5cd98102e16a6e4acc1444b10db3308d87930933
  * d/p/lp1890448-hwdb-Add-EliteBook-to-use-micmute-hotkey.patch:
    Add EliteBook to use micmute hotkey (LP: #1890448)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=238c8c1a7b9d75f69bdeafb1d55f1faf00acb063
  * d/extra/dhclient-enter-resolved-hook:
    suppress output of cmp command in dhclient hook (LP: #1878955)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=83df4fc182f8ffe87256f5d7c4b49cee5192529a
  * d/p/lp1905044-test-use-cap_last_cap-for-max-supported-cap-number-n.patch:
    test: use cap_last_cap() instead of capability_list_length()
    (LP: #1905044)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ff21f41e624d9e603f3be463846ce981a433842a
  * d/p/lp1903300/0001-network-VXLan-fix-adding-Group-address.patch,
    d/p/lp1903300/0002-network-VXLan-Add-support-for-remote-address.patch,
    d/p/lp1903300/0003-networkctl-Add-support-to-display-VXLan-remote-addre.patch:
    set vxlan multicast group when specified (LP: #1903300)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9deff4b7c5495dbe738561ca47daf3756df9fcde
  * d/p/lp1907306/0001-sd-dhcp-client-don-t-log-timeouts-if-already-expired.patch,
    d/p/lp1907306/0002-sd-dhcp-client-track-dhcp4-t1-t2-expire-times.patch,
    d/p/lp1907306/0003-sd-dhcp-client-add-RFC2131-retransmission-details.patch,
    d/p/lp1907306/0004-sd-dhcp-client-simplify-dhcp4-t1-t2-parsing.patch,
    d/p/lp1907306/0005-sd-dhcp-client-correct-dhcpv4-renew-rebind-retransmi.patch,
    d/p/lp1907306/0006-sd-dhcp-client-correct-retransmission-timeout-to-mat.patch,
    d/p/lp1907306/0007-test-network-increase-wait_online-timeout-to-handle-.patch,
    d/p/lp1907306/0008-sd-dhcp-client-fix-renew-rebind-timeout-calculation-.patch:
    Send correct number of dhcpv4 renew and rebind requests
    (LP: #1907306)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a73c51d0df284dcc38e6924d40eed810554bab2e
  * d/p/lp1902960-udev-re-assign-ID_NET_DRIVER-ID_NET_LINK_FILE-ID_NET.patch:
    Run net_setup_link on 'change' uevents (LP: #1902960)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ec7ba2358aa68d8d6276ed56ef91caafc287cecf
  * d/t/root-unittests:
    Remove any corrupt journal files (LP: #1881947)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5481fececdb3cb35ca7118598cad537681b5ff14

 -- Dan Streetman <email address hidden> Wed, 06 Jan 2021 15:47:39 -0500

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 237-3ubuntu10.44

---------------
systemd (237-3ubuntu10.44) bionic; urgency=medium

  * d/extra/dhclient-enter-resolved-hook:
    suppress output of cmp command in dhclient hook (LP: #1878955)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c5a2db69aafc7a3ab4e71bae44fd7ad9dd955c97
  * d/p/lp1905044/0001-capability-add-a-way-to-get-a-uint64_t-with-all-caps.patch,
    d/p/lp1905044/0002-test-use-cap_last_cap-for-max-supported-cap-number-n.patch:
    test: use cap_last_cap() instead of capability_list_length()
    (LP: #1905044)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=34ebc6e28e63881d40c91c5839597acc2fdab546
  * d/p/lp1905245/0001-basic-cap-list-parse-print-numerical-capabilities.patch:
    print number of unknown capabilities instead of failing
    (LP: #1905245)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5ab225b7f731c6cf6b4655cb27c3a842150c4c1a
  * d/p/lp1907306/0001-sd-dhcp-client-don-t-log-timeouts-if-already-expired.patch,
    d/p/lp1907306/0002-sd-dhcp-client-track-dhcp4-t1-t2-expire-times.patch,
    d/p/lp1907306/0003-sd-dhcp-client-add-RFC2131-retransmission-details.patch,
    d/p/lp1907306/0004-sd-dhcp-client-simplify-dhcp4-t1-t2-parsing.patch,
    d/p/lp1907306/0005-sd-dhcp-client-correct-dhcpv4-renew-rebind-retransmi.patch,
    d/p/lp1907306/0008-sd-dhcp-client-fix-renew-rebind-timeout-calculation-.patch:
    Send correct number of dhcpv4 renew and rebind requests
    (LP: #1907306)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=036230cac8232bf4f970e565c355ee1a82fc2ee6
  * d/t/root-unittests:
    Remove any corrupt journal files (LP: #1881947)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b284b93e40b6cb834bb40dd3db94850853ab5bb8

 -- Dan Streetman <email address hidden> Wed, 06 Jan 2021 16:04:25 -0500

Changed in systemd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

Released it as I saw it was merged for hirsute - please make sure that all the approved changes are also released into hirsute whenever possible.

Dan Streetman (ddstreet) on 2021-02-09
Changed in systemd (Ubuntu Hirsute):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.